package de.accso.flexinale.rest;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(HttpStatus.BAD_REQUEST)
@SuppressWarnings("unused")
public class RestBadRequestException extends RuntimeException {

    // see https://www.springboottutorial.com/spring-boot-exception-handling-for-rest-services

    public RestBadRequestException(final String message) {
        super(message);
    }

    public RestBadRequestException(final String message, final Exception ex) {
        super(message, ex);
    }
}
